<template>
    <div class="container text-start">
        <LoadingOverlay v-if="loading" />
        <form @submit.prevent="onSubmit">
            <div class="form-floating mb-3">
                <input
                    id="cardNumber"
                    v-model="cardNumber"
                    type="text"
                    class="form-control"
                    placeholder="Card number"
                    autocomplete="off"
                    maxlength="16"
                    :class="{
                        'is-invalid': errors.cardNumber,
                    }"
                />
                <ErrorMessage :message="errors.cardNumber" />
                <label for="creditCard">Card number</label>
            </div>
            <div class="form-floating mb-3">
                <input
                    id="dueDate"
                    v-model="dueDate"
                    type="text"
                    class="form-control"
                    placeholder="Expiration date"
                    autocomplete="off"
                    maxlength="5"
                    :class="{
                        'is-invalid': errors.dueDate,
                    }"
                />
                <ErrorMessage :message="errors.dueDate" />
                <label for="dueDate">Expiration date</label>
            </div>
            <div class="d-grid gap-2">
                <button type="submit" class="btn btn-success btn-lg">Pay</button>
            </div>
        </form>
    </div>
</template>
<script>
import useCheckoutForm from '.././../composables/use-checkout-form';
import {ErrorMessage, LoadingOverlay} from '@/components';
export default {
    components: {
        ErrorMessage,
        LoadingOverlay,
    },
    setup() {
        return {
            ...useCheckoutForm(),
        };
    },
};
</script>
<style lang="scss"></style>
